import { timeInterval as e } from "./interval.js";
import { durationMinute as t, durationWeek as n } from "./duration.js";
//#region ../../node_modules/d3-time/src/week.js
function r(r) {
	return e((e) => {
		e.setDate(e.getDate() - (e.getDay() + 7 - r) % 7), e.setHours(0, 0, 0, 0);
	}, (e, t) => {
		e.setDate(e.getDate() + t * 7);
	}, (e, r) => (r - e - (r.getTimezoneOffset() - e.getTimezoneOffset()) * t) / n);
}
var i = r(0), a = r(1), o = r(2), s = r(3), c = r(4), l = r(5), u = r(6);
i.range, a.range, o.range, s.range, c.range, l.range, u.range;
function d(t) {
	return e((e) => {
		e.setUTCDate(e.getUTCDate() - (e.getUTCDay() + 7 - t) % 7), e.setUTCHours(0, 0, 0, 0);
	}, (e, t) => {
		e.setUTCDate(e.getUTCDate() + t * 7);
	}, (e, t) => (t - e) / n);
}
var f = d(0), p = d(1), m = d(2), h = d(3), g = d(4), _ = d(5), v = d(6);
f.range, p.range, m.range, h.range, g.range, _.range, v.range;
//#endregion
export { l as timeFriday, a as timeMonday, u as timeSaturday, i as timeSunday, c as timeThursday, o as timeTuesday, s as timeWednesday, _ as utcFriday, p as utcMonday, v as utcSaturday, f as utcSunday, g as utcThursday, m as utcTuesday, h as utcWednesday };
